# $Revision: 1.98 $, $Date: 2005/03/23 16:01:46 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	GNU Core-utils - basic command line utilities
Summary(pl):	GNU Core-utils - podstawowe narzdzia dziaajce z linii polece
Name:		coreutils
Version:	5.2.1
Release:	5
License:	GPL
Group:		Applications/System
# devel versions:
#Source0:	ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.bz2
# final versions:
Source0:	ftp://ftp.gnu.org/gnu/coreutils/%{name}-%{version}.tar.bz2
# Source0-md5:	172ee3c315af93d3385ddfbeb843c53f
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	f7c986ebc74ccb8d08ed70141063f14c
Source2:	DIR_COLORS
Source3:	fileutils.sh
Source4:	fileutils.csh
Source5:	su.pamd
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-pam.patch
Patch3:		%{name}-getgid.patch
Patch4:		%{name}-su-paths.patch
Patch5:		%{name}-uname-cpuinfo.patch
Patch6:		%{name}-date-man.patch
Patch7:		%{name}-mem.patch
Patch8:		%{name}-install-C.patch
Patch9:		%{name}-po.patch
Patch10:	%{name}-no-nb.patch
# based on patch from Fedora, based on patches from http://acl.bestbits.at/
Patch11:	%{name}-acl.patch
Patch12:	%{name}-selinux.patch
Patch13:	%{name}-pam.patch
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.8
%{?with_selinux:BuildRequires:	gcc >= 5:3.2}
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	help2man
BuildRequires:	pam-devel
BuildRequires:	texinfo >= 4.2
%{?with_selinux:BuildRequires:	libselinux-devel}
Requires:	pam >= 0.77.3
Requires:	setup >= 2.4.6-2
Provides:	fileutils
Provides:	sh-utils
Provides:	stat
Provides:	textutils
Obsoletes:	fileutils
Obsoletes:	sh-utils
Obsoletes:	stat
Obsoletes:	textutils
Conflicts:	shadow < 1:4.0.3-6
Conflicts:	tetex < 1:2.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are the GNU core utilities.  This package is the union of
the GNU fileutils, sh-utils, and textutils packages.

Most of these programs have significant advantages over their Unix
counterparts, such as greater speed, additional options, and fewer
arbitrary limits.

The programs that can be built with this package are:

  [ basename cat chgrp chmod chown chroot cksum comm cp csplit cut date
  dd df dir dircolors dirname du echo env expand expr factor false fmt
  fold install groups head hostid id join link ln logname ls md5sum
  mkdir mkfifo mknod mv nice nl nohup od paste pathchk pinky pr printenv
  printf ptx pwd rm rmdir seq sha1sum shred sleep sort split stat stty
  su sum sync tac tail tee test touch tr true tsort tty uname unexpand
  uniq unlink users vdir wc who whoami yes

%description -l pl
Narzdzia podstawowe (core utilities) GNU to poczone paczki GNU
fileutils, sh-utils i textutils.

Wikszo z zawartych programw jest znacznie ulepszona w porwnaniu
z ich uniksowymi odpowiednikami, np. szybciej dziaaj, maj dodatkowe
opcje i mniej ogranicze.

Programy zawarte w tym pakiecie to:

  [ basename cat chgrp chmod chown chroot cksum comm cp csplit cut date
  dd df dir dircolors dirname du echo env expand expr factor false fmt
  fold ginstall groups head hostid id join link ln logname ls md5sum
  mkdir mkfifo mknod mv nice nl nohup od paste pathchk pinky pr printenv
  printf ptx pwd rm rmdir seq sha1sum shred sleep sort split stat stty
  su sum sync tac tail tee test touch tr true tsort tty uname unexpand
  uniq unlink users vdir wc who whoami yes

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%{?with_selinux:%patch12 -p1}

%{__perl} -pi -e 's@GNU/Linux@PLD Linux@' m4/host-os.m4

# no_NO is just an alias for nb_NO in recent glibc
# no.po is outdated, nb.po is more fresh here (see also patch10)
rm -f po/no.*
# allow rebuilding *.gmo
rm -f po/stamp-po

%build
# jm's inttypes.m4 and inttypes.m4 from gettext are really different files
mv -f m4/{inttypes.m4,jm-inttypes.m4}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	DEFAULT_POSIX2_VERSION=199209 \
	%{?with_selinux:--enable-selinux} \
	--enable-pam

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,%{_bindir},%{_sbindir},/etc/pam.d,/etc/shrc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_bindir}/{hostname,kill,uptime}
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{hostname,kill,uptime}.1*

mv -f $RPM_BUILD_ROOT%{_bindir}/{basename,cat,chgrp,chmod,chown,cp,date,dd,df,\
echo,false,id,link,ln,ls,mkdir,mknod,mv,nice,printf,pwd,rm,rmdir,sleep,sort,stty,\
sync,touch,true,unlink,uname} $RPM_BUILD_ROOT/bin

mv -f $RPM_BUILD_ROOT%{_bindir}/chroot $RPM_BUILD_ROOT%{_sbindir}

# su is missed by "make install"
install src/su $RPM_BUILD_ROOT/bin

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/su

mv -f man/pt_BR man/pt
for d in cs da de es fi fr hu id it ja ko nl pl pt ru zh_CN ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$d/man1
	install man/$d/*.1 $RPM_BUILD_ROOT%{_mandir}/$d/man1
done
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/{hostname,kill,uptime}.1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS THANKS-to-translators TODO
%attr(755,root,root) /bin/[!s]*
%attr(755,root,root) /bin/s[!u]*
%attr(4755,root,root) /bin/su
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/su
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/DIR_COLORS
%attr(755,root,root) /etc/shrc.d/*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(da) %{_mandir}/da/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%{_infodir}/coreutils.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: coreutils.spec,v $
Revision 1.98  2005/03/23 16:01:46  adamg
- braino in previous commitlog

Revision 1.97  2005/03/23 15:57:55  adamg
- added missing setfsgid() call in pam.patch from romke (romke (at) estrefa.pl)
- release 5

Revision 1.96  2005/01/15 23:32:02  averne
- rel 4 for Ac

Revision 1.95  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.94  2004/10/08 19:17:47  undefine
- ups, stupid and not tested.. don't think about princess when commit!
  revert last change

Revision 1.93  2004/10/02 22:03:35  undefine
- move xargs to /bin (after discussion on pld-devel-pl:
  http://lists.pld-linux.org/pipermail/pld-devel-pl/2004-September/000760.html)
- release 3

Revision 1.92  2004/07/10 15:03:50  havner
- 755 for /etc/shrc.d

Revision 1.91  2004/07/10 11:26:58  qboosh
- killed fix-info-dir dep once again (it was /bin/sh problem)

Revision 1.90  2004/06/19 13:16:17  pluto
- PreReq(fix-info-dir).

Revision 1.89  2004/05/07 14:37:32  qboosh
- release 1

Revision 1.88  2004/04/29 13:17:42  qboosh
- [ is now separate program, not symlink to test; release 0.6

Revision 1.87  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.86  2004/04/28 14:25:48  qboosh
- remove stamp-po to rebuild pl.gmo

Revision 1.85  2004/04/28 13:47:47  qboosh
- updated selinux patch
- dropped noposix2 patch (DEFAULT_POSIX2_VERSION is used instead)
- builds now, test release 0.5

Revision 1.84  2004/04/28 11:59:26  havner
- R: setup >= 2.4.6-2
- fileutils.sh,fileutils.csh -> /etc/shrc.d
- rel up

Revision 1.83  2004/04/28 10:38:45  qboosh
- renamed and updated acl patch, removed obsolete lsw,nanosleep patches

Revision 1.82  2004/04/27 15:22:51  qboosh
- po patch updated

Revision 1.81  2004/04/27 14:14:32  qboosh
- removed obsolete utmp patch; more pending for update

Revision 1.80  2004/03/22 15:52:37  arekm
- kill kill manual

Revision 1.79  2004/03/18 16:22:48  qboosh
- updated pam,getgid patches; updated BRs: ac 2.58, am 1.8

Revision 1.78  2004/03/18 15:55:58  qboosh
- updated info patch, added pl.po-update patch (from GNU TP)
- default to POSIX2 version 1992.09 (to support obsolete head/tail/sort syntax)

Revision 1.77  2004/03/18 07:41:53  cieciwa
- off patches needed update

Revision 1.76  2004/03/18 07:25:54  cieciwa
- started updating to version 5.2.1,
- release 0.1,
- updated MD5 sum.

Revision 1.75  2004/02/25 10:19:31  qboosh
- ugh, fixed buggy bugfix; release 12

Revision 1.74  2004/02/25 09:30:23  qboosh
- fixed selinux patch (some progs were broken in procless env); release 11

Revision 1.73  2004/02/11 12:25:11  qboosh
- Conflicts: tetex < 1:2.0.2 (/usr/bin/readlink conflict)

Revision 1.72  2004/01/22 10:21:53  qboosh
- BR: gcc 3.2 for SELinux (selinux patch introduces C99 usage)

Revision 1.71  2004/01/21 21:10:03  qboosh
- release 10 (after docs work)

Revision 1.70  2004/01/20 13:25:14  qboosh
- updated info patch to restore "groups" docs

Revision 1.69  2004/01/20 12:55:11  qboosh
- merged non-english-man-pages into one tarball and updated
- added "why no wheel" man sections removal to pam patch

Revision 1.68  2004/01/19 16:12:13  qboosh
- added groups to descriptions, Conflicts with shadow with groups; NFY

Revision 1.67  2004/01/19 13:08:53  qboosh
- updated no-nb patch and prep to follow glibc 2.3.3 change (no_NO -> nb_NO)
- release 9

Revision 1.66  2004/01/14 14:06:34  qboosh
- added noposix2 patch to allow obsolete head/tail syntax; release 8

Revision 1.65  2004/01/10 01:18:09  undefine
- move printf to /bin directory - it's used by rc-scripts, release 7

Revision 1.64  2004/01/08 11:45:12  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.63  2003/12/29 00:58:20  qboosh
- modified acl,lsw,selinux patches, removed obsolete ls-missing hack
- added nanosleep patch for new ac madness
- release 6

Revision 1.62  2003/12/27 11:49:00  arekm
- use latest version of selinux patch

Revision 1.61  2003/12/27 02:46:42  arekm
- enable selinux by default

Revision 1.60  2003/12/22 16:07:25  adasi
 - fix on amd64, ugly but working

Revision 1.59  2003/12/08 11:01:20  wrobell
- attr-devel is _required_ by acl-devel

Revision 1.58  2003/12/08 10:58:25  yoshi
- Added missing BR: attr-devel.
- Tested on *devel* free system, it builds.

Revision 1.57  2003/12/01 16:02:17  qboosh
- added lsw patch (fix for ls -w memory consumption and int overflow - CAN-2003-0853, CAN-2003-0854)
- new-style bcond, release 3

Revision 1.56  2003/10/09 10:04:17  qboosh
- reverted Requires(): fix-info-dir, it was problem with shell installation

Revision 1.55  2003/09/26 14:01:52  baggins
- release 2
- req pam >= 0.77.3

Revision 1.54  2003/09/04 21:50:31  adamg
- added missing R(post,preun): fix-info-dir

Revision 1.53  2003/08/25 09:52:59  mmazur
- rel 1 for ac

Revision 1.52  2003/08/06 16:49:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.51  2003/06/20 10:24:23  michuz
- br libselinux instead of selinux

Revision 1.50  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.49  2003/06/06 01:34:58  michuz
- fixed bcond BR selinux-libs-static

Revision 1.48  2003/06/02 15:18:32  ankry
- added/changed non-english-man-pages URL

Revision 1.47  2003/05/29 10:58:36  adgor
- Removed bad url

Revision 1.46  2003/05/29 10:39:15  adgor
- Fixed md5sum for Source2

Revision 1.45  2003/05/28 06:33:13  michuz
- typo

Revision 1.44  2003/05/28 06:31:38  michuz
- rel 0.10
- added bcond selinux support

Revision 1.43  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 05:46:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/07 18:54:43  qboosh
- removed obsolete pl.po-update (ufff...) and jmfix patches
- updated install-C and po patches
- test release 0.9

Revision 1.40  2003/04/06 16:31:21  areq
- 5.0, NFY - po patches volunteers needed

Revision 1.39  2003/03/28 23:30:51  ankry
- cosmetics

Revision 1.38  2003/03/24 15:48:48  misiek
- added ACL support

Revision 1.37  2003/03/19 21:19:26  qboosh
- 4.5.10, updated pl.po-update and po patches
- added jmfix patch (temporary fix for missing stubs)

Revision 1.36  2003/03/09 15:30:33  qboosh
- updated po patch
- ac_fix patch seems no longer needed, BR: autoconf 2.56
- release 1

Revision 1.35  2003/03/08 23:29:42  qboosh
- updated pl.po-update (basing on new official rzm's translation), utmp and
  install-C patches

Revision 1.34  2003/03/06 22:44:54  qboosh
- 4.5.9 started
- updated info patch

Revision 1.33  2003/03/03 17:13:27  areq
- 4.5.8, NFY, commented patches need check/update

Revision 1.32  2003/02/24 18:37:24  radek
- BR: pam-devel

Revision 1.31  2003/02/21 13:39:06  qboosh
- lg locales are back (now supported by glibc)

Revision 1.30  2003/02/20 11:50:05  qboosh
- remove lg locale, not supported by glibc

Revision 1.29  2003/01/31 14:49:34  qboosh
- replaced outdated no locale with more fresh nb, don't build nb locale
  (just an alias for no in glibc) - new no-nb patch
- release 2

Revision 1.28  2003/01/19 01:37:40  qboosh
- 4.5.4, updated pl.po-update and po patches

Revision 1.27  2002/12/09 23:21:02  qboosh
- ughrrr...  getgid was missing - fixed
- changed install process to reduce possibility of missing something new
- release 3

Revision 1.26  2002/12/07 23:49:18  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.25  2002/11/28 03:55:11  baggins
- release 2
- DIR_COLORS back to good old colors

Revision 1.24  2002/11/01 17:07:55  qboosh
- new gettext and texinfo required

Revision 1.23  2002/11/01 02:01:07  qboosh
- added pl.po-update patch (self-explaining), merged po patch from fileutils
- added pl.po updates to pam,getgid,install-C patches (they add messages)
- release 1

Revision 1.22  2002/10/29 17:37:18  qboosh
- change uname -o to "PLD Linux"

Revision 1.21  2002/10/28 20:52:16  qboosh
- updated TODO list (all other patches from *utils >/dev/null - not needed,
  already fixed in other places, or were disabled because of problems)

Revision 1.20  2002/10/28 11:04:33  qboosh
- clear solution for inttypes.m4 problem (it was filename conflict)

Revision 1.19  2002/10/27 22:17:21  qboosh
- more ginstall fixes (localized manuals)
- pam patch: removed linking with -lcrypt when PAM is used, prepared for NLS
- +getgid patch from sh-utils (with en,pl man pages, NLS-ready)
- +utmp patch from sh-utils
- +su-paths patch (paths patch from sh-utils with X11R6 paths updated)
- +cpuinfo-uname patch (cpuinfo patch from sh-utils)
- +date-man patch (dateman patch from sh-utils, but for date.x; BR: help2man)
- +mem patch from textutils
- +install-C patch (C patch from fileutils w/o man update (help2man will do it))

Revision 1.18  2002/10/27 18:27:23  qboosh
- added non-english-man-pages and DIR_COLORS+scripts from *utils
- removed ginstall (it was fake target), install is true binary again
- added proper %%config for pam.d/su

Revision 1.17  2002/10/20 21:55:43  qboosh
- added info patch; more to go

Revision 1.16  2002/10/19 20:56:49  malekith
- aye.. thinko

Revision 1.15  2002/10/19 20:52:35  malekith
- bleh... %%exclude doesn't work the way I thought
- release 0.8

Revision 1.14  2002/10/19 19:32:50  malekith
- cleanup files (using %%exclude)

Revision 1.13  2002/10/19 19:04:15  mmazur
- I think %%install is finaly finished (su works so you can use it)
- now all I have left is to check all the patches from *utils

Revision 1.12  2002/10/19 18:18:34  mmazur
- BR: gettext-devel & no libtoolize (what for?)

Revision 1.11  2002/10/19 18:09:23  mmazur
- pam with su works
- ac/am works

Revision 1.10  2002/10/19 09:39:21  mmazur
- fixed conflicting man pages... this should be ready for use

Revision 1.9  2002/10/18 19:21:56  mmazur
- + one binary & two symlinks... rel 0.3

Revision 1.8  2002/10/16 12:37:36  cieciwa
- added PAM file for su.

Revision 1.7  2002/10/16 11:40:02  cieciwa
- release 0.2,
- added PAM support for su,
- added BR: autoconf >= 2.54; automake >= 1.7.

Revision 1.6  2002/10/16 09:19:43  qboosh
- updated to 4.5.3, added important TODO

Revision 1.5  2002/10/16 08:42:49  qboosh
- cleanups, added URL
- removed utils that we have in other packages:
  groups (shadow), hostname (net-tools), kill (util-linux), uptime (procps)

Revision 1.4  2002/10/16 08:28:13  cieciwa
- release 0.2,
- fixed install proces,
- ready to test.

Revision 1.3  2002/10/15 07:27:02  cieciwa
- ON going: installation proces - NFY !!!!

Revision 1.2  2002/10/11 19:22:15  mmazur
- started some work

Revision 1.1  2002/09/24 23:03:11  cieciwa
- release 0.1,
- initial - NFY.
